MrSID Decode SDK for Raster Reference Manual 9.5.4.4709

- Main Page
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
Nitf::DataSegment Class Reference

represents a data segment in an existing NITF file More...

`#include <DataSegment.h>`

Inheritance diagram for Nitf::DataSegment:
[legend]
Collaboration diagram for Nitf::DataSegment:
[legend]

## Public Member Functions
| DataSegment (NITFReaderManager &, LTIOStreamInf &, int segmentNumber, lt_int64 headerOffset, lt_int64 headerLength, lt_int64 dataOffset, lt_int64 dataLength)
| ~DataSegment ()
LT_STATUS | initialize ()
| initializer More...
LT_STATUS | addMetadataLocal (LTIMetadataDatabase &db) const
LT_STATUS | addMetadataLocal (LTIMetadataDatabase &db, const char *prefixOverride) const
bool | verifyIsOverflow (const char *code, bool isU, int segmentNum) const
const char * | getDESID () const
| returns the ID More...
const char * | getDESVER () const
| returns the version More...
lt_uint32 | getDataLen () const
| returns the length of the data from the segment More...
const lt_uint8 * | getData () const
| returns the data from the segment More...
Public Member Functions inherited from Nitf::Segment
| Segment (NITFReaderManager &, LTIOStreamInf &, lt_int64 headerOffset, lt_int64 headerLength, lt_int64 dataOffset, lt_int64 dataLength, const char *code, int segmentNumber, bool doUserSubheader, bool doExtendedSubheader)
virtual | ~Segment ()
int | getSegmentNumber () const
const char * | getSegmentID ()
lt_int64 | getHeaderOffset () const
lt_int64 | getHeaderLength () const
lt_int64 | getDataOffset () const
lt_int64 | getDataLength () const
const SecurityBlock * | getSecurityBlock () const
const SecurityMetadata * | getSecurityMetadata () const
| returns the security information about the segment More...
virtual LT_STATUS | addMetadata (LTIMetadataDatabase &) const
const char * | getMetadataTagPrefix () const
int | getNumTREs () const
| returns the number of TREs in this segment More...
const TREData * | getTRE (int index) const
| TRE accessor. More...

## Additional Inherited Members
Protected Attributes inherited from Nitf::Segment
MetadataHelper * | m_mdHelper
FieldReader * | m_field
LTIOStreamInf & | m_stream
const lt_int64 | m_headerOffset
lt_int64 | m_headerLength
const lt_int64 | m_dataOffset
const lt_int64 | m_dataLength
NITFReaderManager & | m_manager
Version | m_version
SecurityBlock * | m_securityBlock
const int | m_segmentNumber
const char * | m_segmentID

## Detailed Description

This class represents a data segment in an NITF file. To access the data segment of a file, retrieve the DataSegment from the NITFReaderManager class.

Definition at line 34 of file DataSegment.h.

## Constructor & Destructor Documentation

Nitf::DataSegment::DataSegment | ( | NITFReaderManager & | ,
|  | LTIOStreamInf & | ,
|  | int | segmentNumber,
|  | lt_int64 | headerOffset,
|  | lt_int64 | headerLength,
|  | lt_int64 | dataOffset,
|  | lt_int64 | dataLength
| ) |  |

Nitf::DataSegment::~DataSegment | ( | ) |  |

## Member Function Documentation

LT_STATUS Nitf::DataSegment::addMetadataLocal | ( | LTIMetadataDatabase & | db) |  | const
| virtual

Implements Nitf::Segment.

LT_STATUS Nitf::DataSegment::addMetadataLocal | ( | LTIMetadataDatabase & | db,
|  | const char * | prefixOverride
| ) |  | const

const lt_uint8* Nitf::DataSegment::getData | ( | ) |  | const

This function returns the actual data of the data segment, as an array of bytes. The length of the array can be found by calling getDataLen().

Returns
  the array of bytes of the data

lt_uint32 Nitf::DataSegment::getDataLen | ( | ) |  | const

This function returns the length of actual data of the data segment, in bytes.

Returns
  the number of bytes of the data

const char* Nitf::DataSegment::getDESID | ( | ) |  | const

This function returns the ID of the data segment.

Returns
  the ID of the segment, as a string

const char* Nitf::DataSegment::getDESVER | ( | ) |  | const

This function returns the version of the data segment.

Returns
  the version of the segment, as a string

LT_STATUS Nitf::DataSegment::initialize | ( | ) |  |
| virtual

This function must be called immediately after the constructor.

Returns
  success or failure

Reimplemented from Nitf::Segment.

bool Nitf::DataSegment::verifyIsOverflow | ( | const char * | code,
|  | bool | isU,
|  | int | segmentNum
| ) |  | const

The documentation for this class was generated from the following file:

- DataSegment.h

LizardTech